# Note that this is NOT a relocatable package
%define ver      0.15
%define rel      11mdk
%define prefix   /usr

Summary: Enlightenment Configuration applet.
Name: enlightenment-conf
Version: %ver
Release: %rel
Copyright: GPL
Group: Graphical desktop/Enlightenment
Source: ftp://www.rasterman.com/pub/enlightenment/enlightenment-conf-%{ver}.tar.bz2
BuildRoot: /var/tmp/e-conf-%{PACKAGE_VERSION}-root

URL: http://www.rasterman.com
Docdir: %{prefix}/doc
Requires: control-center >= 1.0.0
BuildRequires: control-center-devel

Patch: enlightenment-conf-0.15-keybind.patch.bz2
Patch1: enlightenment-conf-0.15-spelling.patch.bz2
Patch2: enlightenment-conf-0.15-locale.patch.bz2
Patch3: enlightenment-conf-0.15-alpha-notrans.patch.bz2


%description
A Configuration tool for easily setting up Enlightenment

%changelog
* Wed Apr 19 2000 Warly <warly@mandrakesoft.com> 0.15-11mdk
- new group: Graphical desktop/Enlightenment

* Mon Jan 17 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.15-10mdk

- added a BuildRequires on control-center-devel.

* Wed Jan 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.15-9mdk
- Regenerate ldconfig.

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP build macro
- Optimize c++ code also (somebody sux)
- Add Two patches from Redhat:
	* Wed Sep 01 1999 Elliot Lee <sopwith@redhat.com>
	- Disable translucent moves option on the Alpha, since it requires shared
	  pixmaps (see comment in patch).
	* Mon Jul 26 1999 Michael Fulbright <drmike@redhat.com>
	- added locale fix from Karsten Weiss <karsten@addx.au.s.shuttle.de>


* Tue Jun 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- fixed typos in desktop configuration

* Sat Apr 24 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adatations.
- Stripping again ;-).

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Tue Feb 23 1999 The Rasterman <raster@redhat.com>
- Updated to 0.14

* Wed Feb 3 1999 The Rasterman <raster@redhat.com>
- Created for new E-conf standalone module

%prep
%setup
%patch -p1 -b .noscrollbar
%patch1 -p1 -b .spelling

#RH
%patch2 -p1 -b .locale
%patch3 -p1 -b .alpha-notrans


%build
%configure

if [ x"$SMP" != x"" ]; then
        (make MAKE="make -j $SMP -k"; exit 0)
        make
else
        make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/share/locale/*/*/*
